# GimpUi.NumberPairEntry

    from gi.repository import GimpUi

    number_pair_entry = GimpUi.NumberPairEntry(allow_simplification=value, aspect=value, default_left_number=value, default_right_number=value, default_text=value, left_number=value, max_valid_value=value, min_valid_value=value, ratio=value, right_number=value, separators=value, user_override=value)

A Gtk.Entry subclass to enter ratios.

## Hierarchy

- GObject.Object
  - GObject.InitiallyUnowned
    - Gtk.Widget
      - Gtk.Entry
        - GimpUi.NumberPairEntry

## Methods

- GimpUi.NumberPairEntry.get_aspect
- GimpUi.NumberPairEntry.get_default_text
- GimpUi.NumberPairEntry.get_default_values
- GimpUi.NumberPairEntry.get_ratio
- GimpUi.NumberPairEntry.get_user_override
- GimpUi.NumberPairEntry.get_values
- GimpUi.NumberPairEntry.set_aspect
- GimpUi.NumberPairEntry.set_default_text
- GimpUi.NumberPairEntry.set_default_values
- GimpUi.NumberPairEntry.set_ratio
- GimpUi.NumberPairEntry.set_user_override
- GimpUi.NumberPairEntry.set_values

## Properties

- allow-simplification
- aspect
- default-left-number
- default-right-number
- default-text
- left-number
- max-valid-value
- min-valid-value
- ratio
- right-number
- separators
- user-override

## Signals

- numbers-changed
- ratio-changed